import { jsx } from "react/jsx-runtime";
import { NetworkX as NetworkX$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const NetworkX = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "NetworkX", ...props, children: /* @__PURE__ */ jsx(NetworkX$1, { weight: variant }) });
  }
);
NetworkX.displayName = "NetworkX";
Object.assign(NetworkX, { isGdsIcon: true });
export {
  NetworkX
};
